'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getFirstComponentChild = getFirstComponentChild;

var _util = require('vue-template-compiler/lib/shared/util');

function getFirstComponentChild(children) {
  if (Array.isArray(children)) {
    for (var i = 0; i < children.length; i++) {
      var c = children[i];
      if ((0, _util.isDef)(c) && (0, _util.isDef)(c.componentOptions)) {
        return c;
      }
    }
  }
}