'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.baseOptions = undefined;

var _index = require('../util/index');

var _index2 = require('./modules/index');

var _index3 = _interopRequireDefault(_index2);

var _index4 = require('./directives/index');

var _index5 = _interopRequireDefault(_index4);

var _util = require('vue-template-compiler/lib/shared/util');

var _util2 = require('./util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var baseOptions = exports.baseOptions = {
  expectHTML: true,
  modules: _index3.default,
  directives: _index5.default,
  isPreTag: _index.isPreTag,
  isUnaryTag: _util2.isUnaryTag,
  mustUseProp: _index.mustUseProp,
  canBeLeftOpenTag: _util2.canBeLeftOpenTag,
  isReservedTag: _index.isReservedTag,
  getTagNamespace: _index.getTagNamespace,
  staticKeys: (0, _util.genStaticKeys)(_index3.default)
};