'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.shouldDecodeNewlines = undefined;

var _index = require('vue-template-compiler/lib/core/util/index');

// check whether current browser encodes a char inside attribute values
function shouldDecode(content, encoded) {
  var div = document.createElement('div');
  div.innerHTML = '<div a="' + content + '"/>';
  return div.innerHTML.indexOf(encoded) > 0;
}

// #3663
// IE encodes newlines inside attribute values while other browsers don't


var shouldDecodeNewlines = exports.shouldDecodeNewlines = _index.inBrowser ? shouldDecode('\n', '&#10;') : false;