'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = on;

var _index = require('vue-template-compiler/lib/core/util/index');

function on(el, dir) {
  if (process.env.NODE_ENV !== 'production' && dir.modifiers) {
    (0, _index.warn)('v-on without argument does not support modifiers.');
  }
  el.wrapListeners = function (code) {
    return '_g(' + code + ',' + dir.value + ')';
  };
}