'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _index = require('./instance/index');

var _index2 = _interopRequireDefault(_index);

var _index3 = require('./global-api/index');

var _env = require('vue-template-compiler/lib/core/util/env');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _index3.initGlobalAPI)(_index2.default);

Object.defineProperty(_index2.default.prototype, '$isServer', {
  get: _env.isServerRendering
});

Object.defineProperty(_index2.default.prototype, '$ssrContext', {
  get: function get() {
    /* istanbul ignore next */
    return this.$vnode && this.$vnode.ssrContext;
  }
});

_index2.default.version = '__VERSION__';

exports.default = _index2.default;