'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ssrCompileToFunctions = exports.ssrCompile = undefined;

var _options = require('../compiler/options');

var _index = require('vue-template-compiler/lib/server/optimizing-compiler/index');

var _createCompiler = (0, _index.createCompiler)(_options.baseOptions),
    compile = _createCompiler.compile,
    compileToFunctions = _createCompiler.compileToFunctions;

exports.ssrCompile = compile;
exports.ssrCompileToFunctions = compileToFunctions;