'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
function preTransformNode(el, options) {
  if (el.tag === 'cell' && !el.attrsList.some(function (item) {
    return item.name === 'append';
  })) {
    el.attrsMap.append = 'tree';
    el.attrsList.push({ name: 'append', value: 'tree' });
  }
  if (el.attrsMap.append === 'tree') {
    el.appendAsTree = true;
  }
}

function genData(el) {
  return el.appendAsTree ? 'appendAsTree:true,' : '';
}

exports.default = {
  staticKeys: ['appendAsTree'],
  preTransformNode: preTransformNode,
  genData: genData
};